%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-express-session
Version:    1.0.2
Release:    2%{?dist}
Summary:    A module to setup a session store with the given options
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/expressjs/session
Source0:    http://registry.npmjs.org/express-session/-/express-session-%{version}.tgz
# Add a copy of the license text to comply with license requirements.
# https://github.com/expressjs/session/pull/14
Source20:   LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(buffer-crc32)
BuildRequires:  npm(connect)
BuildRequires:  npm(cookie-parser)
BuildRequires:  npm(cookie)
BuildRequires:  npm(cookie-signature)
BuildRequires:  npm(debug)
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
BuildRequires:  npm(supertest)
BuildRequires:  npm(uid2)
BuildRequires:  npm(utils-merge)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE20} .

%nodejs_fixdep cookie '~0.1'
%nodejs_fixdep debug '~0.7'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/express-session
cp -pr package.json index.js session/ \
    %{buildroot}%{nodejs_sitelib}/express-session

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --bail --ui bdd --reporter list -- test/*.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/express-session


%changelog
* Fri Apr 25 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-2
- fix version of npm(debug) dependency

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-1
- initial package
